< Back
 

# Packages

-  package root
  Definition Classes
    root
-  package uk
  Definition Classes
    root
-  package gov
  Definition Classes
    uk
-  package hmrc
  Definition Classes
    gov
-  package play
  Definition Classes
    hmrc
-  package bootstrap
  Definition Classes
    play
-  package frontend
  Definition Classes
    bootstrap
-  package filters
  Definition Classes
    frontend
-  package deviceid
  Definition Classes
    filters
- DefaultDeviceIdFilter
- DeviceFingerprint
- DeviceId
- DeviceIdCookie
- DeviceIdFilter

c

uk.gov.hmrc.play.bootstrap.frontend.filters.deviceid

# DefaultDeviceIdFilter 

###

#### class DefaultDeviceIdFilter extends DeviceIdFilter

Linear Supertypes
DeviceIdFilter, DeviceIdCookie, Filter, EssentialFilter, AnyRef, Any
 
Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. DefaultDeviceIdFilter
2. DeviceIdFilter
3. DeviceIdCookie
4. Filter
5. EssentialFilter
6. AnyRef
7. Any

1. Hide All
2. Show All

Visibility

1. Public
2. All

### Instance Constructors

1.  new DefaultDeviceIdFilter(appName: String, configuration: Configuration, auditConnector: AuditConnector)(implicit mat: Materializer, ec: ExecutionContext)
   Annotations
     @Inject()

### Value Members

1.  final def !=(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
2.  final def ##(): Int
   Definition Classes
     AnyRef → Any
3.  final def ==(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
4.  val appName: String
   Definition Classes
     DefaultDeviceIdFilter → DeviceIdFilter
5.  def apply(next: (RequestHeader) ⇒ Future[Result])(rh: RequestHeader): Future[Result]
   Definition Classes
     DeviceIdFilter → Filter
6.  def apply(next: EssentialAction): EssentialAction
   Definition Classes
     Filter → EssentialFilter
7.  final def asInstanceOf[T0]: T0
   Definition Classes
     Any
8.  def asJava: EssentialFilter
   Definition Classes
     EssentialFilter
9.  val auditConnector: AuditConnector
   Definition Classes
     DefaultDeviceIdFilter → DeviceIdFilter
10.  def buildNewDeviceIdCookie(): Cookie
    Definition Classes
      DeviceIdCookie
11.  def clone(): AnyRef
    Attributes
      protected[lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( ... ) @native()
12.  val configuration: Configuration
13.  implicit val ec: ExecutionContext
    Definition Classes
      DefaultDeviceIdFilter → DeviceIdFilter
14.  final def eq(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
15.  def equals(arg0: Any): Boolean
    Definition Classes
      AnyRef → Any
16.  def finalize(): Unit
    Attributes
      protected[lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )
17.  def generateDeviceId(uuid: String = generateUUID): DeviceId
    Definition Classes
      DeviceIdCookie
18.  def generateUUID: String
    Definition Classes
      DeviceIdCookie
19.  final def getClass(): Class[_]
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
20.  def getTimeStamp: Long
    Definition Classes
      DeviceIdCookie
21.  def hashCode(): Int
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
22.  final def isInstanceOf[T0]: Boolean
    Definition Classes
      Any
23.  def makeCookie(deviceId: DeviceId): Cookie
    Definition Classes
      DeviceIdCookie
24.  implicit val mat: Materializer
    Definition Classes
      DefaultDeviceIdFilter → Filter
25.  final def ne(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
26.  final def notify(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
27.  final def notifyAll(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
28.  lazy val previousSecrets: Seq[String]
    Definition Classes
      DefaultDeviceIdFilter → DeviceIdCookie
29.  lazy val secret: String
    Definition Classes
      DefaultDeviceIdFilter → DeviceIdCookie
30.  lazy val secure: Boolean
    Definition Classes
      DefaultDeviceIdFilter → DeviceIdCookie
31.  final def synchronized[T0](arg0: ⇒ T0): T0
    Definition Classes
      AnyRef
32.  def toString(): String
    Definition Classes
      AnyRef → Any
33.  final def wait(): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )
34.  final def wait(arg0: Long, arg1: Int): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )
35.  final def wait(arg0: Long): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... ) @native()

### Inherited from DeviceIdFilter

### Inherited from DeviceIdCookie

### Inherited from Filter

### Inherited from EssentialFilter

### Inherited from AnyRef

### Inherited from Any

### Ungrouped